Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol
Class ProtocolLine

    java.lang.Object
      vutbr.checkers.protocol.ProtocolLine

Direct Known Subclasses:
  ProtocolReply, ProtocolRequest

    public abstract class ProtocolLine

extends java.lang.Object

Trida ProtocolLine

Author:
  Ondrej Novy

Constructor Summary
`ProtocolLine()` Konstruktor

Method Summary
`protected java.lang.String` | `build()` Vytvori radek z tridy
`protected abstract java.lang.String` | `getCommand()` Vrati jmeno prikazu
`protected abstract java.lang.String` | `getParam()` Vrati parametry prikazu
`protected abstract java.lang.String` | `getType()` Vrati typ prikazu

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtocolLine

    public ProtocolLine()

  Konstruktor

Method Detail

### build

    protected java.lang.String build()

  Vytvori radek z tridy

  Returns:
    Vystupni radek

### getType

    protected abstract java.lang.String getType()

  Vrati typ prikazu

  Returns:
    Typ prikazu (REQ/REP)

### getCommand

    protected abstract java.lang.String getCommand()

  Vrati jmeno prikazu

  Returns:
    Jmeno prikazu

### getParam

    protected abstract java.lang.String getParam()

  Vrati parametry prikazu

  Returns:
    Parametry prikazu

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD